Bug 502096 - [KMS, 845] Phantom lines appear in Firefox location bar
[KMS, 845] Phantom lines appear in Firefox location bar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks: IntelKMS
  Show dependency treegraph
 
Reported: 2009-05-21 16:30 EDT by Jason Long
Modified: 2010-03-02 12:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:16:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the effect (22.10 KB, image/png)
2009-05-21 16:38 EDT, Jason Long
no flags Details
Xorg log file (67.67 KB, text/plain)
2009-05-22 08:07 EDT, Jason Long
no flags Details
Xorg.0.log for i845 with KMS enabled (54.27 KB, text/plain)
2009-05-22 13:40 EDT, Antal KICSI
no flags Details
Captured image that shows the phantom lines (323.89 KB, image/png)
2009-05-22 13:43 EDT, Antal KICSI
no flags Details

  None (edit)
Description Jason Long 2009-05-21 16:30:37 EDT
Description of problem:

Mentioned in bug 502077...

>>> Comment #2 From  kicsia (kicsia@gmail.com)  2009-05-21 15:22:55 EDT
>I also have problems with Firefox - when I place the mouse cursor in navigation
>bar I get some grey 1 pixel lines. These lines I noticed in web pages where the
>caracters where distorted by some dashed 1 pixel lines. This behaviour appears
>also in the terminal window. 
>
>If I boot the same kernel-2.6.29.3-155.fc11.i586 with the nomodeset boot
>parameter I do not have any of the above stated problems.
>
>VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset
>Integrated Graphics Device (rev 01)  


I have the same problem as that reported by kicsia. Though I was only able to replicate it in Firefox. My adapter is Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03).



Version-Release number of selected component (if applicable):
kernel-2.6.29.3-155.fc11.i586
xorg-x11-drv-intel-2.7.0-4.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586


How reproducible:
always


Steps to Reproduce:
1. open Firefox
2. move mouse cursor into and out of the location bar
3. see light-gray dotted horizontal lines appear and disappear in the white area of the location bar

  
Actual results:
horizontal gray lines appear and disappear in the location bar


Expected results:
these lines should not be there


Additional info:
The effect is only visible when KMS is enabled.
The effect is visible whether or not "Desktop effects" is enabled.
Comment 1 Jason Long 2009-05-21 16:38:40 EDT
Created attachment 345025 [details]
screenshot showing the effect

I was able to capture the effect in a screenshot.
Comment 2 Adam Williamson 2009-05-21 18:26:43 EDT
Can you please provide /var/log/Xorg.0.log, just in case it happens to be useful? Thanks.
Comment 3 Jason Long 2009-05-22 08:07:00 EDT
Created attachment 345087 [details]
Xorg log file

Sure, here's the log file.
Comment 4 Antal KICSI 2009-05-22 13:40:07 EDT
Created attachment 345126 [details]
Xorg.0.log for i845 with KMS enabled

Here is my Xorg.0.log for i845 with KMS enabled - I get lines in web pages and the caracters are distorted by some dashed 1 pixel lines.
Comment 5 Antal KICSI 2009-05-22 13:43:58 EDT
Created attachment 345127 [details]
Captured image that shows the phantom lines

I managed to take a screenshot for those lines - I think this is the best way to make my poin clear. The lines appear also in terminal window.
Thanks for your effort!
Comment 6 Adam Williamson 2009-05-22 15:16:22 EDT
Thanks, guys.
Comment 7 Mark Chesterfield 2009-05-23 01:27:57 EDT
Confirming, I too have the problem as highlighted by kicsia.
Comment 8 Bug Zapper 2009-06-09 12:17:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Joachim Frieben 2009-09-19 01:56:44 EDT
I have installed F11 w/updates on a board with the same 82845G video device as the reporter of this bug. As in the past, dotted horizontal lines appear throughout the GNOME desktop "decorating" characters. Installed packages include:

- kernel-PAE-2.6.30.6-53.fc11.i686
- libdrm-2.4.11-2.fc11.i586
- mesa-*-7.6-0.2.fc11.i586
- xorg-x11-drv-intel-2.7.0-7.fc11.i586
- xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586

If there has been any upstream update to the 2.7.0 branch of xf86-video-intel,
it would be highly welcome to have this as a Fedora update. This is a real annoyance, and you need at least to know about KMS and how to
disable it in order to get rid of this issue.
Comment 10 sawrub 2009-10-06 08:37:02 EDT
Also seeing this issue in the Fedora 11 xfce spin.Presently the LVM have resolved the issue but that does not seems to be the healthy resolution. There should be a fix for this.
Looking for any update / fix.

Following are the installed packages.Please let me know if any thing more is needed.

kernel.i586    2.6.29.4-167.fc11
xorg-x11-drv-intel.i586     2.7.0-7.fc11
xorg-x11-server-Xorg.i586     1.6.4-0.1.fc11
Comment 12 Matěj Cepl 2009-11-05 13:29:41 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 Matěj Cepl 2010-02-26 07:15:39 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 14 sawrub 2010-02-26 07:39:00 EST
The issue i mentioned is not possible to simulate since, the machine on which i was facing the issue is no more with me.
I did filed couple of xorg bugs related to that machine and also did updated when i lost hold of that machine, but sincerley don't know how this one got missed.
Comment 15 Adam Williamson 2010-02-26 20:04:57 EST
thanks. however, let's  keep this open as others also reported seeing the problem. other reporters, can you please give us an update?
Comment 16 Jason Long 2010-03-02 11:26:43 EST
I am no longer seeing the issue on my hardware (using Fedora 12 live cd).

(
My adapter is
Intel Corporation
82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03).
)
Comment 17 Matěj Cepl 2010-03-02 12:16:36 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.